上一篇:奶奶的那些事儿(2019-01-21 04:02:14)

wamp3.0下安装php7.3

2019年02月22日 16:29


又进入一家新公司,要开始接触laravel框架。

项目代码里composer.json文件里,标明php版本需要高于7.1.3的。而下载的wampserver3.0.6里集成好的php版本最高是7.0.1


wampserver3.0.6软件,我上传到百度网盘去了。下载链接: https://pan.baidu.com/s/1lyrzIG_PGa0DhRIAHHyD5w, 提取码: zk5y


现在假定你已经安装好wampserver了。


首先你需要下载高于7.1.3版本的php,这里我挑了最高版本的7.3.2,下载地址:官方下载php各个版本

进入wamp里的php目录:

C:/wamp64/bin/php   (wamp64是我安装wamp时新建的文件夹)


然后可以看到两个版本的php文件夹。

php5.6.25  php7.0.10


在php目录下再新建一个文件夹,命名成你要安装的php版本,这里我命名成php7.3.2.

1.把上面官方下载好的文件解压到此文件下。
2.把php7.0.10文件夹下的phpForApache.ini,wampserver.conf 复制到php7.3.2文件夹下。
3.在php7.3.2文件夹里,将上述文件里的版本号都改成7.3.2
4.在php7.3.2文件夹里,复制文件php.ini-development,并命名成php.ini


重启wampserver,就可以看到php版本选择如下图所示:

image



切换到7.3.2版本,phpinfo查看php配置信息,发现已经生效了。



composer更新laravel时,却还是提示php版本是7.0.10,无法更新

用php -v命令查询, 版本号也是7.0.10


为何php -v的版本号跟phpinfo里的版本号不一致?

因为php -v是根据环境变量指定的php版本来的。
将电脑环境变量里php7.0.10目录改成php7.3.2即可。

现在都用windows10系统,如何编辑环境变量?

1.随便点击一个文件夹,就可以看到左列的此电脑
2.右键点击此电脑,进入属性
3.点击左边的“高级系统设置”,对话框底下你就可以看到环境变量按钮,点进去,之后你就自己看着办了。
image


如果wampserver是低版本的,只有php5相关版本,如何添加php7版本,大部分操作雷同,具体区别请参考如下地址。

  • 2019年02月22日 16:16文章创建
  • 2019年02月22日 16:29文章发布
上一篇:奶奶的那些事儿(2019-01-21 04:02:14)
我要评论
«-必填,限2-20个字符,中文/字母/字母数字组合
«-评论后,邮箱会收到激活链接,未激活邮箱的留言,将无法显示
评论列表
暂无评论,期待你的评论哦!
回到顶部